SDL Library Documentation
Prev |  | Next

# SDL_UpdateRects

## Name

SDL_UpdateRects -- Makes sure the given list of rectangles is updated on the given screen.

## Synopsis

    #include "SDL.h"

``void SDL_UpdateRects`(SDL_Surface *screen, int numrects, SDL_Rect *rects);`

## Description

Makes sure the given list of rectangles is updated on the given screen.

This function should not be called while `screen` is locked.

## See Also

`SDL_UpdateRect`, SDL_Rect, SDL_Surface, `SDL_LockSurface`

Prev | Home | Next
SDL_UpdateRect | Up | SDL_Flip